Bug 1006462 - RFE: allow \S escape that defaults to PRETTY_NAME in /etc/issue handling
RFE: allow \S escape that defaults to PRETTY_NAME in /etc/issue handling
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: util-linux (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Karel Zak
Juraj Marko
: FutureFeature
Depends On:
Blocks: 801536 909224 1009944
  Show dependency treegraph
 
Reported: 2013-09-10 12:18 EDT by Bill Nottingham
Modified: 2015-08-31 23:39 EDT (History)
9 users (show)

See Also:
Fixed In Version: util-linux-2.23.2-5.el7
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 08:02:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2013-09-10 12:18:33 EDT
Description of problem:

As discussed via e-mail. Filing here for tracking.

...
So, crazy idea:

Adds a \S escape to agetty, to pretty name from /etc/os-release.
We're working on some code for flexible product branding for RHEL, and while
we can rewrite /etc/os-release on branding changes easily, having to rewrite
/etc/issue and friends is a bit ugly. 
...

Version-Release number of selected component (if applicable):

current
Comment 2 Karel Zak 2013-09-12 07:01:35 EDT
Implemented by upstream commit b34f097e756ab2c762b1ce0f8c9813dbc7e3e308.
Comment 8 Trinh 2014-01-14 11:41:32 EST
Chris, is this fix in RHEL7 Snapshot-1?
Comment 11 Ludek Smid 2014-06-13 08:02:30 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.